package com.heyu.api.data.service.impl.calca;
/**
* <p>
* 定时任务日志 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.ScheduleJobLogDao;
import com.heyu.api.data.entity.calca.ScheduleJobLogEntity;
import com.heyu.api.data.service.calca.ScheduleJobLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class ScheduleJobLogServiceImpl extends ServiceImpl<ScheduleJobLogDao, ScheduleJobLogEntity> implements ScheduleJobLogService {


    @Autowired
	private ScheduleJobLogDao scheduleJobLogDao;



	@Override
	public ScheduleJobLogEntity selectScheduleJobLogById(Long id){
		return scheduleJobLogDao.selectScheduleJobLogById(id);
	}



	@Override
	public Long insertScheduleJobLog(ScheduleJobLogEntity scheduleJobLog){
		return scheduleJobLogDao.insertScheduleJobLog(scheduleJobLog);
	}



	@Override
	public Long insertOrUpdateScheduleJobLog(ScheduleJobLogEntity scheduleJobLog){
		return scheduleJobLogDao.insertOrUpdateScheduleJobLog(scheduleJobLog);
	}



	@Override
	public int updateScheduleJobLogById(ScheduleJobLogEntity scheduleJobLog){
		return scheduleJobLogDao.updateScheduleJobLogById(scheduleJobLog);
	}



	@Override
	public int updateCoverScheduleJobLogById(ScheduleJobLogEntity scheduleJobLog){
		return scheduleJobLogDao.updateCoverScheduleJobLogById(scheduleJobLog);
	}



	@Override
	public int deleteScheduleJobLogById(Long id){
		return scheduleJobLogDao.deleteScheduleJobLogById(id);
	}



}
